#ifndef	MBLANK_H
#define	MBLANK_H
/*
**	$VER: mblank.h 1.0 (28.6.95)
**
**	Messages from MultiBlank
**
*/

#ifndef EXEC_PORTS_H
#include "exec/ports.h"
#endif

#ifndef INTUITION_INTUITION_H
#include "intuition/intuition.h"
#endif

#ifndef INTUITION_SCREENS_H
#include "intuition/screens.h"
#endif

struct msgheader {
    struct Message msg;
    BYTE          type;
};

struct initmsg {
    struct Message msg;
    BYTE           type;
    BYTE           success;
    LONG           flags;
};

#define IMF_CONFIG	1
#define IMF_INFO	2

struct blankmsg {
    struct Message msg;
    BYTE           type;
    BYTE           success;
};

struct clearmsg {
    struct Message msg;
    BYTE           type;
};

struct infomsg {
    struct Message msg;
    BYTE           type;
    BYTE           success;
    struct Screen *screen;
    struct Window *window;
};

struct configmsg {
    struct Message msg;
    BYTE           type;
    BYTE           success;
    struct Screen *screen;
    struct Window *window;
};

struct quitmsg {
    struct Message msg;
    BYTE           type;
};

#define MBMT_INIT	0
#define MBMT_BLANK	1
#define MBMT_CLEAR	2
#define MBMT_INFO	3
#define MBMT_CONFIG	4
#define MBMT_QUIT	5

#endif